---
title: "Tutoriel git"
output:
    toc: true
---

* * * * *

## Introduction

### À qui s'adresse ce tutoriel ?
- Objectif du tutoriel : apprendre à utiliser le logiciel git et le serveur
  gogs mis en place par le SCOSI. 
- Pré-requis : utilisation basique d'un ordinateur.
- Public visé : les développeurs au sens large (code latex, python, matlab, R,
  java...)

### Qu'est-ce-que git et gogs ?
- git : logiciel de journalisation de code source décentralisé (alternative à
  mercurial, subversion, CVS...)
- gogs : service d'hébergement de code source utilisable avec git (alternative
  à github, bitbucket...)

### Qu'est-ce-que git et gogs peuvent m'apporter ?
- journalisation :
- sauvegarde distante :
- synchronisation :
- travail en équipe :
- projets publics ou privés : 

### Concepts de base

commit, branche

![](concepts_commits.svg)


depot local / distant

![](concepts_depots.svg)


* * * * *

## Installation et configuration

### Installation sous Linux

```
sudo apt-get install git
```

interface graphique 
qgit


### Installation sous Windows

[http://git-scm.com](http://git-scm.com)


### Configuration

```
git config --global user.name <name>
```

```
git config --global user.email <email>
```


### Exercice

* * * * *

## Dépôt local (journaliser mon projet)

init
.git
status
add
commit
log
clone

head

.gitignore

conseil sur les fichiers générés et les fichiers de données


### Exercice

* * * * *

## Dépôt distant (sauvegarder mon projet sur un serveur)

nouveau projet

projet existant

### Exercice

* * * * *

## Branches (travailler en équipe)

### Exercice

* * * * *

## Forks (collaborer avec d'autres projets)

### Exercice

* * * * *

## Références

https://www.atlassian.com/git/tutorials/

http://git-scm.com/book/en/v2

* * * * *

Dernière mise à jour : 2016-03-05

